### Virtual Method

# Gio VolumeMonitor get_connected_drives

#### Declaration

    GList*
    get_connected_drives (
      GVolumeMonitor* volume_monitor
    )

#### Description

Gets a list of drives connected to the system.

The returned list should be freed with g_list_free(), after its elements have been unreffed with g_object_unref().

#### Return value

Type: A list of `GDrive*`

A `GList` of connected `GDrive` objects.

The caller of the function takes ownership of the data, and is responsible for freeing it.